# Get transfers

{% hint style="info" %}
**Must have the authorization to use this API**
{% endhint %}

<mark style="color:blue;">`GET`</mark> `https://example.com/wp-json/rimplenet/v1/transfers`

#### Request Body

| Name         | Type | Description       |
| ------------ | ---- | ----------------- |
| transfer\_id | int  | Enter transfer id |

{% hint style="info" %}
To view request params, click on the arrow (>) at the right-hand side of the endpoint url to expand or collapse
{% endhint %}

{% tabs %}
{% tab title="200 OK" %}

```php
{
    "status_code": 200,
    "status": true,
    "message": "Transfers Retrieved",
    "data": [
        {
            "transferId": "130",
            "transferTo": "John",
            "transferFrom": "Tester",
            "transferAmount": "100",
            "transferDesc": "TRANSFER to John ",
            "transferType": "DEBIT",
            "balanceBefore": "1000",
            "balanceAfter": "900",
            "totalBalanceBefore": "1000",
            "totalBalanceAfter": "900",
            "symbol": "N",
            "currency": "ngn",
            "dateRaw": "2022-07-21 19:15:37",
            "formattedDate": "2022 Jul Thu 07:15 pm"
        },
        {
            "transferId": "132",
            "transferTo": "John",
            "transferFrom": "Tester",
            "transferAmount": "100",
            "transferDesc": "TRANSFER from Tester ",
            "transferType": "CREDIT",
            "balanceBefore": "0",
            "balanceAfter": "100",
            "totalBalanceBefore": "0",
            "totalBalanceAfter": "100",
            "symbol": "N",
            "currency": "ngn",
            "dateRaw": "2022-07-21 19:15:37",
            "formattedDate": "2022 Jul Thu 07:15 pm"
        }
    ]
}
```

{% endtab %}
{% endtabs %}
